Package org.kapott.hbci.rewrite

## Class Rewrite

- java.lang.Object
- - org.kapott.hbci.rewrite.Rewrite

Direct Known Subclasses:
  `RHBCIVersion`, `RInvalidSegment`, `RInvalidSuppHBCIVersion`, `RKUmsDelimiters`, `RKUmsEmptyBDateSets`, `RMissingMsgRef`, `RSecTypeTAN`, `RSigIdLeadingZero`, `RWrongSequenceNumbers`, `RWrongStatusSegOrder`

    public abstract class Rewrite
    extends java.lang.Object

### Constructor Summary

Constructors
`protected` `Rewrite()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.Object` `getData​(java.lang.String name)`
`java.lang.String` `incomingClearText​(java.lang.String st, MsgGen gen)`
`java.lang.String` `incomingCrypted​(java.lang.String st, MsgGen gen)`
`MSG` `incomingData​(MSG msg, MsgGen gen)`
`MSG` `outgoingClearText​(MSG msg, MsgGen gen)`
`MSG` `outgoingCrypted​(MSG msg, MsgGen gen)`
`MSG` `outgoingSigned​(MSG msg, MsgGen gen)`
`static void` `setData​(java.lang.String name, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rewrite

    protected Rewrite()

### Method Detail

#### setData

    public static void setData​(java.lang.String name,
                               java.lang.Object value)

#### getData

    public static java.lang.Object getData​(java.lang.String name)

#### outgoingClearText

    public MSG outgoingClearText​(MSG msg,
                                 MsgGen gen)

#### outgoingSigned

    public MSG outgoingSigned​(MSG msg,
                              MsgGen gen)

#### outgoingCrypted

    public MSG outgoingCrypted​(MSG msg,
                               MsgGen gen)

#### incomingCrypted

    public java.lang.String incomingCrypted​(java.lang.String st,
                                            MsgGen gen)

#### incomingClearText

    public java.lang.String incomingClearText​(java.lang.String st,
                                              MsgGen gen)

#### incomingData

    public MSG incomingData​(MSG msg,
                            MsgGen gen)